Skip to content

Get Recent Notifications

GET
/api/notifications/recent

Get recent notifications with optional filtering.

limit
Limit

Maximum notifications to return

integer
default: 100 >= 1 <= 1000

Maximum notifications to return

category
Any of:
string

Filter by category

priority
Any of:
string

Filter by minimum priority

Successful Response

GetRecentNotificationsResponse

GET /notifications/recent response.

object
notifications
required
Notifications
Array<object>
NotificationItem

Single notification in API responses.

object
id
required
Id
string
type
required
Type
string
Allowed values: success error warning info
priority
required
Priority
string
Allowed values: low normal high critical
source
required
Source
string
Allowed values: user system backend mime divine_agent service
category
required
Category
string
Allowed values: general agent mime system workflow project health error success
title
required
Title
string
message
required
Message
string
timestamp
required
Timestamp
string
duration
Any of:
integer
groupKey
Any of:
string
progress
Any of:
integer
metadata
Any of:
object
key
additional properties
any
total
required
Total
integer
timestamp
Timestamp
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object